Index: svn/ramdump_module.c
===================================================================
--- svn.orig/ramdump_module.c
+++ svn/ramdump_module.c
@@ -34,7 +34,7 @@ static void dump_ram(WINDOW *win, uint32
 	int i, x = 0, y = 0, count = 0;
 	volatile uint8_t *ptr = (void *)(addr);
 
-	mvwprintw(win, 0, col + 54, "RAM address: %10d", addr);
+	mvwprintw(win, 0, col + 54, "RAM address: %10x", addr);
 
 	/* Dump 256 bytes of RAM. */
 	for (i = 1; i < 257; i++) {
@@ -68,23 +68,21 @@ static int ramdump_module_handle(int key
 {
 	switch (key) {
 	case KEY_DOWN:
-		if (cursor == cursor_max)
-			return 0;
 		cursor++;
 		break;
 	case KEY_UP:
-		if (cursor == 0)
-			return 0;
 		cursor--;
 		break;
-	case KEY_NPAGE:
-		if (cursor == cursor_max)
-			return 0;
-		cursor += 4096; /* Jump in 1MB steps. */
+	case KEY_RIGHT:
+		cursor += 256;
+		break;
+	case KEY_LEFT:
+		cursor -= 256;
 		break;
 	case KEY_PPAGE:
-		if (cursor == 0)
-			return 0;
+		cursor += 4096; /* Jump in 1MB steps. */
+		break;
+	case KEY_NPAGE:
 		cursor -= 4096; /* Jump in 1MB steps. */
 		break;
 	}
